## ubuntu-developer-tools-center 0.0.5

=== requirements.txt ===
# runtime requirements
argcomplete
pyyaml
pyxdg
-e bzr+lp:python-apt/@0.9.3.5#egg=apt

# test tools
nose
nose-cov
pep8
pexpect

=== debian/changelog ===
ubuntu-developer-tools-center (0.0.5) utopic; urgency=medium

  * Addition for the test jenkins server:
    - Add helper to display binary depends
    - Output xml tests and coverage report
    - Add xunit artefacts support in runtests
  * Some tests enhancement for working in the daily jenkins environment:
    - Change installing in conflict package prediction.
    - Give some time for the container in medium tests to start
    - Remove full install timeout logic. Instead, have a timeout if there
      is no new stdout/progress report change for a while. This ensure
      less flakyness in case of really slow network.
    - Remove on output testing first INFO message detection as it's a false
      positive.
  * No output by default when running tests:
    - Coverage tests doesn't print any stdout or logging info unless a tests
      is failing.
    - Debug profile is using the debug logging configuraiton as well.
    - Don't rely on importing tests/__init__.py to define logging format for
      nose.
    - Ensure subprocess (medium/large tests) set the same logging level as well.
    - Add a stdout hanlder in subprocess as well while testing (using
      the correct profile and be able to detect warning/errors)
  * debian/rules:
    - no need for --no-config for running tests anymore
  * Misc cleanups:
    - some refactoring of runtests
    - remove unusued imports
    - removed unused profile options
    - update documentation for the new logging profiles change.
  * Have pep8 tests passing on system version as well.
  * Add Spanish, Basque and Chinese (Hong Kong) translations. Thanks to all
    translators!

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 09 Sep 2014 16:48:12 +0200

ubuntu-developer-tools-center (0.0.4.1) utopic; urgency=medium

  * GSettings:schema has been deprecated and glib shows a warning about it.
  Fix the deprecation by switching to schema-id which is supported in 14.04.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 01 Sep 2014 17:14:06 +0200

ubuntu-developer-tools-center (0.0.4) utopic; urgency=medium

  * Enhance some tests by adding more info in case of failure and decouple
    some concerns.
  * Fix medium tests in using server name back as sbuild supports it again.
  * Refreshed certificates which expired and document how to get longer
    ones.
  * First trial to get medium tests running as autopkgtests, but disabled
    for now (Docker permission error inside the autopkg chroot)
  * Refactor i18n support with dropping babel and automatically run the
    commands when setuptools is building.
  * Add fr and zh_CN translations.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 28 Aug 2014 11:03:09 +0200

ubuntu-developer-tools-center (0.0.3) utopic; urgency=medium

  * Fix coverage reports by importing tested modules only when needed and
    when overriding "packages" and "__files__", by reloading the module
  * Some cleanups (removed unused imports)
  * Add allow-stderr for adt tests: as nose-cov print some debug output
    at start which makes adt failing then. As we control,
    stderr and warnings during tests, disable this check.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 28 Aug 2014 08:12:31 +0200

ubuntu-developer-tools-center (0.0.2.2) utopic; urgency=medium

  * debian/control:
    - add XS-Testsuite as some uploads may happen from trusty

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 27 Aug 2014 15:24:18 +0200

ubuntu-developer-tools-center (0.0.2.1) utopic; urgency=medium

  * Rebuild to run autopkgtests
  * Fix some pep8 issues on utopic and enable them during package build

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 27 Aug 2014 15:00:29 +0200

ubuntu-developer-tools-center (0.0.2) utopic; urgency=medium

  * Adapt one test as we disabled the android eclipse framework
    (not ready yet)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 11 Aug 2014 17:44:12 +0200

ubuntu-developer-tools-center (0.0.1) utopic; urgency=medium

  * Initial release, supporting android-studio

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 01 Aug 2014 09:37:20 +0200

=== debian/control ===
Source: ubuntu-developer-tools-center
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               gettext,
               python3-all,
               python3-apt,
               python3-argcomplete,
               python3-gi,
               python3-setuptools,
               python3-nose,
               python3-nose-cov,
               python3-pep8,
               python3-pexpect,
               python3-progressbar,
               python3-yaml,
               python3-xdg,
               fakeroot,
Maintainer: Didier Roche <didrocks@ubuntu.com>
Standards-Version: 3.9.5
X-Python3-Version: >= 3.4
XS-Testsuite: autopkgtest

Package: ubuntu-developer-tools-center
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-apt,
         python3-argcomplete,
         python3-gi,
         python3-pexpect,
         python3-progressbar,
         python3-yaml,
         python3-xdg,
Description: setup your development environment on ubuntu easily
 Ubuntu Developer Tools Center provides a set of functionality to setup,
 maintain and personalize your developer environment easily. It will handle
 all dependencies, even those which aren't in Ubuntu itself, and install
 latest versions of the desired and recommended tools.
 .
 For now, you can configure a complete android studio environment.

=== debian/tests/control ===
Tests: all
# the jquery dependencies are recommends of python3-coverage to generate the html reports
Depends: @, docker.io, sshpass, fakeroot, python3-nose, python3-nose-cov, python3-pep8, python3-pexpect, libjs-jquery-hotkeys, libjs-jquery-isonscreen, libjs-jquery-tablesorter, libjs-jquery
Restrictions: rw-build-tree isolation-machine, allow-stderr

## ubuntu-developer-tools-center 0.1.1

=== requirements.txt ===
# runtime requirements
argcomplete
pyyaml
pyxdg
requests
-e bzr+lp:python-apt/@0.9.3.5#egg=apt

# test tools
nose
nose-cov
nose-json
pep8
pexpect
